%define	desktop_vendor planetccrma
%define desktop_utils  %(test -x /usr/bin/desktop-file-install && echo "yes")

Summary:      Software Synthesizer
Name:         amsynth
Version:      1.0.0
Release:      3
Epoch:        1
License:      GPL
Group:        Application/Multimedia
URL:          http://amsynthe.sourceforge.net/amSynth/index.html
Source0:      amSynth-%{version}.tar.gz
Patch0:       amSynth-GUI.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Requires:     jack-audio-connection-kit >= 0.66.3
Packager:     Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: gcc-c++ alsa-lib-devel gtkmm-devel 
BuildRequires: jack-audio-connection-kit-devel libsndfile-devel

%description
amSynth is a software synthesizer, taking inspiration from the
original synths and latest digital ones, while keeping an intuitive
interface.

%prep
%setup -q -n amSynth-%{version}
%patch0 -p1

%build
# use rpm optimization flags
%{__perl} -p -i -e "s|CXXFLAGS -O3|CXXFLAGS -O3 ${RPM_OPT_FLAGS}|g" configure

%configure
%{__make} %{_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

#--- desktop entry
%{__cat} << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=amSynth
Comment=Software Syntheziser
Icon=
Exec=%{_bindir}/amSynth
Terminal=false
Type=Application
EOF
%if "%{desktop_utils}" == "yes"
  %{__mkdir} -p %{buildroot}%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  %{__install} -d %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia
  %{__install} %{desktop_vendor}-%{name}.desktop %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/amSynth
%attr(0755,root,root) %{_libexecdir}/amSynth.bin
%{_datadir}/amSynth
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/*%{name}.desktop
%else
%{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif

%changelog
* Fri Feb 18 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-3
- do not install main executable suid root
* Fri Dec 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-2
- use rpm optimization flags
* Mon Dec 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup
* Sat May  8 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added proper buildrequires
* Tue Mar  2 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1
- bumped epoch to 1 to transition from 1.0rc4 to 1.0.0 (darn...)
* Sun Feb 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1
- updated to 1.0.0
* Wed Nov 12 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0rc4-1
- added release tags, spec file tweaks
- added patch1 with defines for using old alsa API
* Sat Jul 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0rc4-1
- updated t0 1.0rc4
* Wed Apr  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0rc2-2
- rebuild for jack 0.66.3, added explicit requires for it
* Mon Jan 27 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0rc2-1
- added patch to make it compile on 7.3
* Sun Jan 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0rc2-1
- Initial build.
